Bug 1381351 - [abrt] criu: mount_resolve_path(): criu killed by SIGSEGV
Summary: [abrt] criu: mount_resolve_path(): criu killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: criu
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:86ab5d14893829cd19bf6d7eac9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-03 19:33 UTC by Mikko Tiihonen
Modified: 2016-11-19 21:02 UTC (History)
3 users (show)

Fixed In Version: criu-2.7-2.fc24 criu-2.7-2.fc23 criu-2.7-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-07 23:24:18 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (14.95 KB, text/plain)
2016-10-03 19:34 UTC, Mikko Tiihonen
no flags Details
File: cgroup (230 bytes, text/plain)
2016-10-03 19:34 UTC, Mikko Tiihonen
no flags Details
File: core_backtrace (2.94 KB, text/plain)
2016-10-03 19:34 UTC, Mikko Tiihonen
no flags Details
File: dso_list (732 bytes, text/plain)
2016-10-03 19:34 UTC, Mikko Tiihonen
no flags Details
File: environ (2.05 KB, text/plain)
2016-10-03 19:34 UTC, Mikko Tiihonen
no flags Details
File: exploitable (82 bytes, text/plain)
2016-10-03 19:34 UTC, Mikko Tiihonen
no flags Details
File: limits (1.29 KB, text/plain)
2016-10-03 19:34 UTC, Mikko Tiihonen
no flags Details
File: maps (3.96 KB, text/plain)
2016-10-03 19:34 UTC, Mikko Tiihonen
no flags Details
File: mountinfo (2.73 KB, text/plain)
2016-10-03 19:34 UTC, Mikko Tiihonen
no flags Details
File: namespaces (102 bytes, text/plain)
2016-10-03 19:34 UTC, Mikko Tiihonen
no flags Details
File: open_fds (469 bytes, text/plain)
2016-10-03 19:34 UTC, Mikko Tiihonen
no flags Details
File: proc_pid_status (1.07 KB, text/plain)
2016-10-03 19:34 UTC, Mikko Tiihonen
no flags Details
File: var_log_messages (225 bytes, text/plain)
2016-10-03 19:34 UTC, Mikko Tiihonen
no flags Details
criu check core dump (60.49 KB, application/octet-stream)
2016-10-19 16:56 UTC, Mikko Tiihonen
no flags Details
An attempt to fix this bug (779 bytes, patch)
2016-10-20 05:57 UTC, Andrew Vagin
no flags Details | Diff

Description Mikko Tiihonen 2016-10-03 19:33:56 UTC
Description of problem:


Version-Release number of selected component:
criu-2.5-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        criu check
crash_function: mount_resolve_path
executable:     /usr/sbin/criu
global_pid:     2751
kernel:         4.7.4-200.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 3
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 mount_resolve_path at criu/mount.c:213
 #1 phys_stat_resolve_dev at criu/mount.c:240
 #2 phys_stat_dev_match at criu/mount.c:256
 #3 unix_process_name at criu/sk-unix.c:565
 #4 unix_collect_one at criu/sk-unix.c:620
 #5 unix_receive_one at criu/sk-unix.c:692
 #6 nlmsg_receive at criu/libnetlink.c:45
 #7 do_rtnl_req at criu/libnetlink.c:119
 #8 do_collect_req at criu/sockets.c:610
 #9 collect_sockets at criu/sockets.c:636

Comment 1 Mikko Tiihonen 2016-10-03 19:34:02 UTC
Created attachment 1206963 [details]
File: backtrace

Comment 2 Mikko Tiihonen 2016-10-03 19:34:03 UTC
Created attachment 1206964 [details]
File: cgroup

Comment 3 Mikko Tiihonen 2016-10-03 19:34:05 UTC
Created attachment 1206965 [details]
File: core_backtrace

Comment 4 Mikko Tiihonen 2016-10-03 19:34:06 UTC
Created attachment 1206966 [details]
File: dso_list

Comment 5 Mikko Tiihonen 2016-10-03 19:34:08 UTC
Created attachment 1206967 [details]
File: environ

Comment 6 Mikko Tiihonen 2016-10-03 19:34:09 UTC
Created attachment 1206968 [details]
File: exploitable

Comment 7 Mikko Tiihonen 2016-10-03 19:34:11 UTC
Created attachment 1206969 [details]
File: limits

Comment 8 Mikko Tiihonen 2016-10-03 19:34:12 UTC
Created attachment 1206970 [details]
File: maps

Comment 9 Mikko Tiihonen 2016-10-03 19:34:14 UTC
Created attachment 1206971 [details]
File: mountinfo

Comment 10 Mikko Tiihonen 2016-10-03 19:34:15 UTC
Created attachment 1206972 [details]
File: namespaces

Comment 11 Mikko Tiihonen 2016-10-03 19:34:17 UTC
Created attachment 1206973 [details]
File: open_fds

Comment 12 Mikko Tiihonen 2016-10-03 19:34:18 UTC
Created attachment 1206974 [details]
File: proc_pid_status

Comment 13 Mikko Tiihonen 2016-10-03 19:34:20 UTC
Created attachment 1206975 [details]
File: var_log_messages

Comment 14 Adrian Reber 2016-10-07 06:35:30 UTC
Thanks for the bug report. Can you reproduce this error by running 'criu check' every time? I do not see the same error running 'criu check' and upstream would be interested if a fix can be verified. Thanks.

Comment 15 Mikko Tiihonen 2016-10-07 17:21:56 UTC
Yes. Running 'criu check' will crash always on that particular machine.

Comment 16 Mikko Tiihonen 2016-10-07 17:41:24 UTC
I also tried installing criu-2.6-1.fc26 from koji and it fails in the same function.

lsof tells that the file belongs to:
COMMAND: nmbd
TYPE: unix
DEVICE: 0xffff8800a01b0c00
NAME: /var/lib/samba/private/msg.sock/949 type=DGRAM

Comment 17 Andrew Vagin 2016-10-18 19:09:37 UTC
Mikko,

Could you attach a whole core file for this crash?

Comment 18 Mikko Tiihonen 2016-10-19 16:56:48 UTC
Created attachment 1212229 [details]
criu check core dump

Comment 19 Andrew Vagin 2016-10-19 18:24:27 UTC
What is a version of criu do you use? I need debug symbols to work with this core?
[root@fc24 core]# gdb -c criu.core
Missing separate debuginfo for the main executable file
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/10/05a860f819e0196800a0ec3c0cf4cf40b00d8d
Core was generated by `criu check'.
Program terminated with signal SIGSEGV, Segmentation fault.

[root@fc24 core]# dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/10/05a860f819e0196800a0ec3c0cf4cf40b00d8d
Last metadata expiration check: 0:02:24 ago on Wed Oct 19 21:21:37 2016.
No package /usr/lib/debug/.build-id/10/05a860f819e0196800a0ec3c0cf4cf40b00d8d available.
Error: Unable to find a match.

Comment 20 Mikko Tiihonen 2016-10-20 05:23:30 UTC
The attached coredump is done with http://koji.fedoraproject.org/koji/buildinfo?buildID=800516 by running on otherwise normal fc24 installation:
dnf install https://kojipkgs.fedoraproject.org//packages/criu/2.6/1.fc26/x86_64/criu-2.6-1.fc26.x86_64.rpm https://kojipkgs.fedoraproject.org//packages/criu/2.6/1.fc26/x86_64/criu-debuginfo-2.6-1.fc26.x86_64.rpm

I just updated to http://koji.fedoraproject.org/koji/buildinfo?buildID=811135 and it too fails the same way. I can also go back to the original fc24 criu version if that helps you.

Comment 21 Andrew Vagin 2016-10-20 05:57:31 UTC
Created attachment 1212331 [details]
An attempt to fix this bug

Mikko, could you try out the attached patch?

Comment 22 Mikko Tiihonen 2016-10-20 10:48:34 UTC
Your patch fixes the problem. Excellent work!

Comment 24 Fedora Update System 2016-10-28 14:55:15 UTC
criu-2.7-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b4ed529ecb

Comment 25 Fedora Update System 2016-10-28 15:55:05 UTC
criu-2.7-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-547787c11b

Comment 26 Fedora Update System 2016-10-29 03:55:06 UTC
criu-2.7-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7122760d9c

Comment 27 Fedora Update System 2016-11-07 23:24:18 UTC
criu-2.7-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2016-11-08 22:52:53 UTC
criu-2.7-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2016-11-19 21:02:56 UTC
criu-2.7-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.